package org.jaggregator.config;

import java.io.File;
import java.util.ArrayList;
import java.util.Collection;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Configuration for a template.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class TemplateDecl 
{
private String templateFileName;
private ArrayList references = new ArrayList();
private String invokeModeClassName;
private String viewClassName;

public TemplateDecl() 
{}

public void setFileName(String templateFileName)
{
  this.templateFileName = templateFileName;
}

public String getFileName()
{
  return templateFileName;
}

public void addSubscriptionListRef(String ref)
{
  references.add(ref);
}

public boolean containsSubscriptionListRef(String ref)
{
  return references.contains(ref);
}

public Collection getSubscriptionListRefs()
{
  return references;
}

public void setInvokeMode(String invokeMode)
{
  if(invokeMode.equals("all-lists"))
    this.invokeModeClassName = "org.jaggregator.generator.AllListsInvoker";
  else if(invokeMode.equals("per-channel"))
    this.invokeModeClassName = "org.jaggregator.generator.PerChannelInvoker";
  else
    throw new IllegalArgumentException("Unknown invokeMode: " + invokeMode);
}

public void setInvokeModeClassName(String invokeModeClassName)
{
  this.invokeModeClassName = invokeModeClassName;
}

public String getInvokeModeClassName()
{
  return invokeModeClassName;
}

public void setViewClassName(String viewClassName)
{
  this.viewClassName = viewClassName;
}

public String getViewClassName()
{
  return viewClassName;
}

public boolean hasViewClassName()
{
  return viewClassName != null;
}

public String toString()
{
  return new ToStringBuilder(this)
    .append("fileName", templateFileName).toString();
}
}
