package org.jaggregator.rss;

import java.net.URL;

/**
 * Description of an image representing the channel.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public interface ChannelImage
{
/**
 * Get the URL of a GIF, JPEG or PNG image that represents the
 * channel. Manatory.
 */
URL getUrl();

/**
 * Set the URL of a GIF, JPEG or PNG image that represents the
 * channel. Manatory.
 */
void setUrl(URL url);

/**
 * Test whether this image has a url.
 */
boolean hasUrl();

/**
 * Get the image's title. The title describes the image, it's
 * used in the ALT attribute of the HTML &lt;img&gt; tag when the
 * channel is rendered in HTML. Manatory.
 */
String getTitle();

/**
 * Set the image's title. The title describes the image, it's
 * used in the ALT attribute of the HTML &lt;img&gt; tag when the
 * channel is rendered in HTML. Manatory. (Note, in practice the
 * image &lt;title&gt; and &lt;link&gt; should have the same
 * value as the channel's &lt;title&gt; and &lt;link&gt;.)
 */
void setTitle(String title);

/**
 * Test whether this image has a title.
 */
boolean hasTitle();

/**
 * Get the URL to the site. Manatory. When the channel is
 * rendered, the image is a link to the site.
 */
URL getLink();

/**
 * Set the URL to the site. Manatory. When the channel is
 * rendered, the image is a link to the site. (Note, in practice
 * the image &lt;title&gt; and &lt;link&gt; should have the same
 * value as the channel's &lt;title&gt; and &lt;link&gt;.)
 */
void setLink(URL link);

/**
 * Test whether this image has a link.
 */
boolean hasLink();
}
