package org.jaggregator.rss;

import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang.enum.Enum;

/**
 * Typesafe enumeration for cloud protocols.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class CloudProtocol
  extends Enum 
{
public static final CloudProtocol XML_RPC = new CloudProtocol("xml-rpc");
public static final CloudProtocol SOAP = new CloudProtocol("soap");
public static final CloudProtocol HTTP_POST = new CloudProtocol("http-post");

private CloudProtocol(String protocolString) 
{
  super(protocolString);
}

public static CloudProtocol getEnum(String protocolString) 
{
  return (CloudProtocol) getEnum(CloudProtocol.class, protocolString);
}

public static Map getEnumMap() 
{
  return getEnumMap(CloudProtocol.class);
}

public static List getEnumList() 
{
  return getEnumList(CloudProtocol.class);
}

public static Iterator iterator() 
{
  return iterator(CloudProtocol.class);
}
}
