package org.jaggregator.rss;

import java.net.URL;

/**
 * An enclosure to a channel. Typically, this is used for
 * pointing to audio or video clips. Technically, it could be
 * used for everything. See {@link
 * http://www.thetwowayweb.com/payloadsforrss}
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public interface Enclosure 
{
/**
 * Get the url, where the enclosure is located.
 */
URL getUrl();

/**
 * Set the url, where the enclosure is located.
 */
void setUrl(URL url);

/**
 * Get the length of the enclosure.
 */
int getLength();

/**
 * Set the length of the enclosure.
 */
void setLength(int length);

/**
 * Get the length of the enclosure.
 */
String getMimeType();

/**
 * Set the length of the enclosure.
 */
void setMimeType(String mimeType);
}
