package org.jaggregator.rss;

/**
 * A <code>Module</code> extends a Channel. Since modules
 * typically don't have anything in common, subclasses have to
 * provide more functionality.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public interface Module
{
/**
 * Get the namespace that this module implements.
 */
String getNamespace();

/**
 * Add this module to <code>extensible</code>.
 */
void addTo(Extensible extensible);
}
