package org.jaggregator.rss;

import org.xml.sax.InputSource;

/**
 * Parser.java
 *
 *
 * Created: Sun Dec 08 22:13:22 2002
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public interface Parser 
{
/**
 * Query if this instance is able to parse a particular RSS
 * version.
 *
 * @param version version
 * @return true if this instance can parse the specified version.
 */
public boolean canParse(Version version);

/**
 * Parse the <code>source</code> and return a channel containing
 * the source's content. While using an InputSource that points
 * to an URL works, it is recommended to use a
 * <code>ChannelRetriever</code> instead.
 *
 * @param source an <code>InputSource</code> containing RSS
 * @return a <code>Channel</code> value
 * @exception RssException if an error occurs
 */
public Channel parse(InputSource source)
  throws RssException;
}
