package org.jaggregator.rss;

import java.net.URL;

/**
 * The purpose of this element is to propogate credit for links,
 * to publicize the sources of news items.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public interface Source 
{
/**
 * Get the name of the RSS channel that the item came
 * from. Typically, it is derived from the channel's title.
 */
String getName();

/**
 * Set the name of the RSS channel that the item came
 * from. Typically, it is derived from the channel's title.
 */
void setName(String name);

/**
 * Test, whether this instance has a name.
 */
boolean hasName();

/**
 * Get the url, which links to the XMLization of the
 * source. Manatory.
 */
URL getUrl();

/**
 * Get the url, which links to the XMLization of the
 * source. Manatory.
 */
void setUrl(URL url);

/**
 * Test, whether this instance has a url.
 */
boolean hasUrl();
}
