package org.jaggregator.rss;

import java.io.IOException;

/**
 * A SubscriptionExporter is used to write a <code>Subscription</code>
 * object to external storage. It depends on the implementation
 * how the storage or location is specified.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public interface SubscriptionExporter 
{
/**
 * Export the given subscription instance.
 *
 * @param subscription subscription to export
 * @exception IOException if an error occurs when storing the subscription
 * @exception RssException if other error conditions occur
 */
void export(Subscription subscription)
  throws RssException, IOException;
}
