package org.jaggregator.rss;

import java.net.URL;
import org.xml.sax.InputSource;

/**
 * A <code>SubscriptionParser</code> reads an externalized
 * <code>Subscription</code> instance (for instance from disk).
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public interface SubscriptionParser 
{
/**
 * Reads an externalized subscription object.
 *
 * @param channelUri the URL of the channel who's subscription is
 * to be read.
 *
 * @return the newly created <code>Subscriptions</code> object.
 * @exception RssException if an error occurs during parsing
 */
public Subscription parse(URL channelUri)
  throws RssException;
}
