package org.jaggregator.rss.common;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;



/**
 * Abstract class, that helps implementing <code>Module</code>s.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public abstract class AbstractModule
{
private String namespace;

protected AbstractModule(String namespace)
{
  this.namespace = namespace;
}

public String getNamespace()
{
  return namespace;
}

public boolean equals(Object o)
{
  if(this == o)
    return true;

  if(o == null)
    return false;

  if(getClass() != o.getClass())
    return false;
  
  AbstractModule rhs = (AbstractModule) o;
  
  return new EqualsBuilder()
    .append(namespace, rhs.namespace)
    .isEquals();
}

public int hashCode()
{
  return new HashCodeBuilder(227, 61)
    .append(namespace)
    .toHashCode();
}
}
