package org.jaggregator.rss.common;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.Cloud;
import org.jaggregator.rss.CloudProtocol;

/**
 * Implementation of the <code>Cloud</code> interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public class CloudImpl
  implements Cloud
{
private String domain;
private int port = -1;
private String path;
private String procedure;
private CloudProtocol protocol;

public CloudImpl()
{}

public String getDomain()
{
  return domain;
}

public void setDomain(String domain)
{
  if(domain == null)
    throw new IllegalArgumentException("domain == null");
  
  this.domain = domain;
}

public int getPort()
{
  return port;
}

public void setPort(int port)
{
  if(port < 0)
    throw new IllegalArgumentException("port < 0");
  
  this.port = port;
}


public String getPath()
{
  return path;
}

public void setPath(String path)
{
  if(path == null)
    throw new IllegalArgumentException("path == null");
  
  this.path = path;
}

public String getRegisterProcedure()
{
  return procedure;
}

public void setRegisterProcedure(String procedure)
{
  if(procedure == null)
    throw new IllegalArgumentException("procedure == null");
  
  this.procedure = procedure;
}

public CloudProtocol getProtocol()
{
  return protocol;
}

public void setProtocol(CloudProtocol protocol)
{
  if(protocol == null)
    throw new IllegalArgumentException("protocol == null");
  
  this.protocol = protocol;
}

public boolean equals(Object o)
{
  if(this == o)
    return true;
  
  if(o == null)
    return false;

  if(this.getClass() != o.getClass())
    return false;
  
  CloudImpl rhs = (CloudImpl) o;

  return new EqualsBuilder()
    .append(domain, rhs.domain)
    .append(port, rhs.port)
    .append(path, rhs.path)
    .append(procedure, rhs.procedure)
    .append(protocol, rhs.protocol)
    .isEquals();
}

public int hashCode()
{
  return new HashCodeBuilder(277, 23)
    .append(domain)
    .append(port)
    .append(path)
    .append(procedure)
    .append(protocol)
    .toHashCode();
}
}
