package org.jaggregator.rss.common;

import java.net.URL;
import org.apache.commons.digester.Digester;
import org.apache.commons.digester.ObjectCreationFactory;
import org.apache.commons.digester.RuleSet;

/**
 * RuleSet for setting up a digester for the RDF namespace of RSS
 * 0.90 and RSS 1.0 documents.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.2 $
 */
public class RdfRuleSet
  implements RuleSet
{
public static final String NAMESPACE = 
  "http://www.w3.org/1999/02/22-rdf-syntax-ns#";

private ObjectCreationFactory channelFactory;

public RdfRuleSet(ObjectCreationFactory channelFactory)
{
  this.channelFactory = channelFactory;
}

public String getNamespaceURI()
{
  return NAMESPACE;
}

public void addRuleInstances(Digester digester)
{
  digester.addFactoryCreate("RDF", channelFactory);
}
}
