package org.jaggregator.rss.exporter;

import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.exporter.FragmentExporter;

/**
 * Utilityclass for implementing <code>FragmentExporter</code>.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.6 $
 */
public abstract class AbstractFragmentExporter
  implements FragmentExporter
{
private FragmentExporterSupport exporterSupport;

protected AbstractFragmentExporter()
{
  this.exporterSupport = new FragmentExporterSupport();
}

protected void runExporters(Object key, 
                            Channel channel, 
                            XML parent,
                            XML root,
                            Object param)
{
  exporterSupport.runExporters(key, channel, parent, root, param);
}

protected void registerExporter(Object key, FragmentExporter exporter)
{
  exporterSupport.registerExporter(key, exporter);
}

protected void deregisterExporter(Object key, FragmentExporter exporter)
{
  exporterSupport.deregisterExporter(key, exporter);
}
}
