package org.jaggregator.rss.exporter;

import java.util.Iterator;
import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Categorizable;
import org.jaggregator.rss.Category;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.rss_0_92.Item_0_92;

/**
 * Does the actual export of <code>category</code> of an
 * <code>Item_0_92</code>.
 */
public class CategoriesFragmentExporterImpl_0_92
  implements FragmentExporter
{
public void export(Channel channel, XML parentXML, XML root, Object param)
{
  Categorizable cat = (Categorizable) param;
  
  if(cat.hasCategories())
    {
      Iterator iter = cat.getCategories().iterator();
      
      while(iter.hasNext())
        {
          Category category = (Category) iter.next();
          
          XML categoryXML = new XML("category");
          
          if(category.hasDomain())
            categoryXML.addXMLAttribute("domain",
                                        category.getDomain());
          categoryXML.addElement(category.getName());

          parentXML.addElement(categoryXML);
        }
    }
}
}
