package org.jaggregator.rss.exporter;

import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Cloud;
import org.jaggregator.rss.rss_0_92.Channel_0_92;

/**
 * Exports <code>cloud<code> of
 * a <code>Channel_0_92</code> object.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class ChannelFragmentExporterImpl_0_92
  extends ChannelFragmentExporterImpl_0_91
{
public ChannelFragmentExporterImpl_0_92()
{}

protected void registerFragmentExporters()
{
  super.registerFragmentExporters();

  registerExporter(Channel.class, new CloudFragmentExporterImpl());
}

/**
 * Exports the cloud tag of a <code>Channel_0_92</code> object.
 */
private class CloudFragmentExporterImpl
  implements FragmentExporter
{
public void export(Channel channel, XML channelXML, XML root, Object param)
{
  Channel_0_92 channel092 = (Channel_0_92) channel;
  
  if(channel092.hasCloud())
    {
      Cloud cloud = channel092.getCloud();
      
      XML cloudXML = new XML("cloud");
      cloudXML
        .addXMLAttribute("domain",
                         cloud.getDomain())
        .addXMLAttribute("port",
                         String.valueOf(cloud.getPort()))
        .addXMLAttribute("path",
                         cloud.getPath())
        .addXMLAttribute("registerProcedure",
                         cloud.getRegisterProcedure())
        .addXMLAttribute("protocol",
                         cloud.getProtocol().getName());
      
      channelXML.addElement(cloudXML);
    }
}
}
}
