package org.jaggregator.rss.exporter;

import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.modules.BlogChannelModuleFragmentExporter;
import org.jaggregator.rss.rss_2_00.Channel_2_00;

/**
 * Exports <code>generator, ttl<code> of
 * a <code>Channel_2_00</code> object.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class ChannelFragmentExporterImpl_2_00
  extends ChannelFragmentExporterImpl_0_92
{
public ChannelFragmentExporterImpl_2_00()
{}

protected void registerFragmentExporters()
{
  super.registerFragmentExporters();

  registerExporter(Channel.class, 
                   new SimpleChannelFragmentExporterImpl_2_00());
  registerExporter(Channel.class,
                   new CategoriesFragmentExporterImpl_0_92());
  registerExporter(Channel.class,
                   new BlogChannelModuleFragmentExporter());
}

/**
 * Exports the <code>generator, ttl</code> tags of a
 * <code>Channel_2_00</code> object.
 */
private class SimpleChannelFragmentExporterImpl_2_00
  implements FragmentExporter
{
public void export(Channel channel, XML channelXML, XML root, Object param)
{
  Channel_2_00 channel200 = (Channel_2_00) channel;
  
  if(channel200.hasGenerator())
    {
      channelXML.addElement(
        new XML("generator")
        .addElement(channel200.getGenerator()));
    }

  if(channel200.hasTtl())
    {
      channelXML.addElement(
        new XML("ttl")
        .addElement(String.valueOf(channel200.getTtl())));
    }
}
}
}
