package org.jaggregator.rss.modules;

import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.rss_2_00.Channel_2_00;

/**
 * Exports the tags of a BlogChannelModule.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class BlogChannelModuleFragmentExporter
  implements ModuleFragmentExporter
{
private static final String PREFIX = "blogChannel";
private static final String NAMESPACE = 
  BlogChannelModuleRuleSet_2_00.NAMESPACE;

public BlogChannelModuleFragmentExporter()
{}

public void export(Channel channel, XML channelXML, XML root, Object param)
{
  Channel_2_00 channel200 = (Channel_2_00) channel;

  if(channel200.hasModule(NAMESPACE))
    {
      root.addXMLAttribute("xmlns:" + getNamespacePrefix(),
                           getNamespace());
      
      BlogChannelModule blogChannel = 
        (BlogChannelModule) channel200.getModule(NAMESPACE);
      
      if(blogChannel.hasBlogRoll())
        channelXML.addElement(
          new XML(PREFIX + ":blogRoll")
          .addElement(blogChannel.getBlogRoll().toString()));
      if(blogChannel.hasSubscriptions())
        channelXML.addElement(
          new XML(PREFIX + ":mySubscriptions")
          .addElement(blogChannel.getSubscriptions().toString()));
      if(blogChannel.hasBlink())
        channelXML.addElement(
          new XML(PREFIX + ":blink")
          .addElement(blogChannel.getBlink().toString()));
      if(blogChannel.hasChanges())
        channelXML.addElement(
          new XML(PREFIX + ":changes")
          .addElement(blogChannel.getChanges().toString()));
    }
}

public String getNamespacePrefix()
{
  return PREFIX;
}

public String getNamespace()
{
  return NAMESPACE;
}
}
