package org.jaggregator.rss.modules;

import org.apache.commons.lang.StringUtils;
import org.apache.ecs.xml.XML;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Extensible;

/**
 * Exports the tags of a ContentModule
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.2 $
 */
public class ContentModuleFragmentExporter
  implements ModuleFragmentExporter
{
private static final String PREFIX = "content";
private static final String NAMESPACE =
  "http://purl.org/rss/1.0/modules/content/";

public ContentModuleFragmentExporter()
{}

public void export(Channel channel, XML parent, XML root, Object param)
{
  Extensible item = (Extensible) param;

  if(item.hasModule(NAMESPACE))
    {
      root.addXMLAttribute("xmlns:" + getNamespacePrefix(),
                           getNamespace());
      ContentModule contentModule =
        (ContentModule) item.getModule(NAMESPACE);

      XML contentEncodedXml = new XML(PREFIX + ":encoded", true, false);
      String filteredContent =
        StringUtils.replace(contentModule.getContent(), "]]>", "]]&gt;");
      contentEncodedXml.addElement("<![CDATA[" +
                                   filteredContent +
                                   "]]>");
      parent.addElement(contentEncodedXml);
    }
}


public String getNamespacePrefix()
{
  return PREFIX;
}

public String getNamespace()
{
  return NAMESPACE;
}
}

