package org.jaggregator.rss.modules;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.jaggregator.rss.Extensible;
import org.jaggregator.rss.common.AbstractModule;
import org.jaggregator.rss.digester.Initializable;

/**
 * This implementation implements the
 * <code>content:encoded</code> tag of the Content module.
 *
 * @author <a href="mailto:jsz@jaggregator.de">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class ContentModuleImpl_1_00
  extends AbstractModule 
  implements ContentModule, Initializable
{
private String content;

public ContentModuleImpl_1_00() 
{
  super(ContentModule.NAMESPACE);
}

public void setContent(String content)
{
  this.content = content;
}

public String getContent()
{
  return content;
}

public boolean hasContent()
{
  return (content != null);
}

public boolean isInitialized()
{
  return hasContent();
}

public void addTo(Extensible extensible)
{
  if(isInitialized())
    extensible.addModule(this);
}

public boolean equals(Object o)
{
  if(this == o)
    return true;

  if(o == null)
    return false;
  
  if(this.getClass() != o.getClass())
    return false;
  
  ContentModuleImpl_1_00 rhs = (ContentModuleImpl_1_00) o;
  
  return new EqualsBuilder()
    .append(content, rhs.content)
    .isEquals();
}

public int hashCode()
{
  return new HashCodeBuilder(13375603, 421)
    .append(content)
    .toHashCode();
}

public String toString()
{
  return new ToStringBuilder(this)
    .append("content", content)
    .toString();
}
}
