package org.jaggregator.rss.rss_0_90;

import java.io.IOException;
import java.util.Collection;
import java.util.LinkedList;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.RssException;
import org.jaggregator.rss.Version;
import org.jaggregator.rss.common.AbstractParser;
import org.jaggregator.rss.common.RdfRuleSet;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

/**
 * A parser capable of parsing RSS 0.9 documents.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class Parser_0_90
  extends AbstractParser
{
public Parser_0_90() 
{
  super(Version.VERSION_0_90);
  
  setup();
}

protected ConverterSet getConverterSet()
{
  return new ConverterSet_0_90();
}

protected Collection getDigesterRuleSetCollection()
{
  LinkedList list = new LinkedList();
  list.add(new RdfRuleSet(new ChannelFactory_0_90()));
  list.add(new RuleSet_0_90());
  
  return list;
}

public Channel parse(InputSource source)
  throws RssException
{
  try
    {
      Channel channel = (Channel) digester.parse(source);
      channel.setVersion(Version.VERSION_0_90);
      
      return channel;
    }
  catch(IOException ex)
    {
      throw new RssException(ex);
    }
  catch(SAXException ex)
    {
      throw new RssException(ex);
    }
}

protected boolean shouldSupportNamespaces()
{
  return true;
}
}
