package org.jaggregator.rss.rss_0_91;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.common.ChannelImageImpl;

/**
 * Concrete implementation of the <code>ChannelImage_0_91</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class ChannelImageImpl_0_91
  extends ChannelImageImpl
  implements ChannelImage_0_91
{
private int width = 88;
private int height = 31;
private String description;

public ChannelImageImpl_0_91() 
{}

public int getWidth()
{
  return width;
}

public void setWidth(int width) 
{
  if(width < 0 || width > 144)
    throw new IllegalArgumentException("width < 0 || width > 144");
  
  this.width = width;
}

public boolean hasWidth()
{
  return (width > 0);
}

public int getHeight()
{
  return height;
}

public void setHeight(int height)
{
  if(height < 0 || height > 144)
    throw new IllegalArgumentException("height < 0 || height > 400");
  
  this.height = height;
  
}

public boolean hasHeight()
{
  return (height > 0);
}

public String getDescription()
{
  return description;
}

public void setDescription(String description)
{
  this.description = description;
}

public boolean hasDescription()
{
  return (description != null);
}

public boolean equals(Object o)
{
  if(this == o)
    return true;
  
  if(o == null)
    return false;
  
  if(getClass() != o.getClass())
    return false;

  if(super.equals(o) == false)
    return false;
  
  ChannelImageImpl_0_91 rhs = (ChannelImageImpl_0_91) o;
  
  return new EqualsBuilder()
    .append(width, rhs.width)
    .append(height, rhs.height)
    .append(description, rhs.description)
    .isEquals();
}

public int hashCode()
{
  return new HashCodeBuilder(3061, 101)
    .append(super.hashCode())
    .append(width)
    .append(height)
    .append(description)
    .toHashCode();
}
}
