package org.jaggregator.rss.rss_0_91;

import org.jaggregator.rss.Converter;
import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.convert.DateConverter;
import org.jaggregator.rss.convert.SkipDayConverter;
import org.jaggregator.rss.convert.UrlConverter;
import org.jaggregator.rss.convert.VersionConverter;

/**
 * ConverterSet for parsing RSS 0.91.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class ConverterSet_0_91
  implements ConverterSet
{
protected static final Converter[] CONVERTERS =
  new Converter[]
  {
    new UrlConverter(),
    new VersionConverter(),
    new DateConverter(),
    new SkipDayConverter(),
  };

public Converter[] getConverters()
{
  return CONVERTERS;
}
}
