package org.jaggregator.rss.rss_0_92;

import java.net.URL;
import java.util.Collection;
import java.util.Date;
import java.util.LinkedList;
import org.apache.commons.beanutils.ConvertUtils;
import org.apache.commons.digester.Digester;
import org.apache.commons.digester.RuleSet;
import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.Version;
import org.jaggregator.rss.common.AbstractParser;

/**
 * A parser capable of parsing RSS 0.92 documents.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.4 $
 */
public class Parser_0_92
  extends AbstractParser
{
public Parser_0_92() 
{
  super(Version.VERSION_0_92);
  
  setup();
}

protected ConverterSet getConverterSet()
{
  return new ConverterSet_0_92();
}

protected Collection getDigesterRuleSetCollection()
{
  LinkedList list = new LinkedList();
  list.add(new RuleSet_0_92());
  
  return list;
}
}
