package org.jaggregator.rss.rss_1_00;

import java.util.Collection;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.Module;
import org.jaggregator.rss.common.ExtensionSupport;
import org.jaggregator.rss.common.TextInputImpl;

/**
 * Canonical implementation of the <code>TextInput_1_00</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public class TextInputImpl_1_00
  extends TextInputImpl
  implements TextInput_1_00
{
private String about;

private ExtensionSupport extensionSupport;

public TextInputImpl_1_00()
{
  this.extensionSupport = new ExtensionSupport();
}

public String getAbout()
{
  return about;
}

public void setAbout(String about)
{
  this.about = about;
}

public Collection getModules()
{
  return extensionSupport.getModules();
}

public Module getModule(String namespace)
{
  return extensionSupport.getModule(namespace);
}

public void addModule(Module module)
{
  extensionSupport.addModule(module);
}

public boolean hasModule(String namespace)
{
  return extensionSupport.hasModule(namespace);
}

public boolean equals(Object o)
{
  if(this == o)
    return true;
  
  if(o == null)
    return false;
  
  if(getClass() != o.getClass())
    return false;

  if(super.equals(o) == false)
    return false;
  
  TextInputImpl_1_00 rhs = (TextInputImpl_1_00) o;
  
  return new EqualsBuilder()
    .append(about, rhs.about)
    .append(extensionSupport, rhs.extensionSupport)
    .isEquals();
}

public int hashCode()
{
  return new HashCodeBuilder(213523, 29)
    .append(super.hashCode())
    .append(about)
    .append(extensionSupport)
    .toHashCode();
}
}
