package org.jaggregator.rss.rss_2_00;

import java.net.URL;
import java.util.Collection;
import java.util.Date;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.jaggregator.rss.Guid;
import org.jaggregator.rss.Module;
import org.jaggregator.rss.common.ExtensionSupport;
import org.jaggregator.rss.rss_0_92.ItemImpl_0_92;

/**
 * Canonical implementation of the <code>Item_2_00</code>
 * interface.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.7 $
 */
public class ItemImpl_2_00
  extends ItemImpl_0_92
  implements Item_2_00
{
private String author;
private URL commentsUrl;
private Guid guid;
private Date pubDate;

private ExtensionSupport extensionSupport;

public ItemImpl_2_00()
{
  this.extensionSupport = new ExtensionSupport();
}

public String getAuthor()
{
  return author;
}

public void setAuthor(String author)
{
  this.author = author;
}

public boolean hasAuthor()
{
  return (author != null);
}

public URL getComments()
{
  return commentsUrl;
}

public void setComments(URL commentsUrl)
{
  this.commentsUrl = commentsUrl;
}

public boolean hasComments()
{
  return (commentsUrl != null);
}

public Guid getGuid()
{
  return guid;
}

public void setGuid(Guid guid)
{
  this.guid = guid;
}

public boolean hasGuid()
{
  return (guid != null);
}

public Date getPubDate()
{
  return pubDate;
}

public void setPubDate(Date pubDate)
{
  this.pubDate = pubDate;
}

public boolean hasPubDate()
{
  return (pubDate != null);
}

public Collection getModules()
{
  return extensionSupport.getModules();
}

public Module getModule(String namespace)
{
  return extensionSupport.getModule(namespace);
}

public void addModule(Module module)
{
  extensionSupport.addModule(module);
}

public boolean hasModule(String namespace)
{
  return extensionSupport.hasModule(namespace);
}
}
