package org.jaggregator.rss.rss_2_00;

import java.net.URL;
import java.util.Date;
import org.jaggregator.rss.Extensible;
import org.jaggregator.rss.Guid;
import org.jaggregator.rss.rss_0_92.Item_0_92;

/**
 * Enhancements for an item in RSS 2.0.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public interface Item_2_00 
  extends Item_0_92, Extensible
{
/**
 * Get the mail address of the author of the item.
 */
String getAuthor();

/**
 * Set the mail address of the author of the item.
 */
void setAuthor(String author);

/**
 * Test whether this instance has an author.
 */
boolean hasAuthor();

/**
 * Get the URL of a page for comments relating to the item.
 */
URL getComments();

/**
 * Set the URL of a page for comments relating to the item.
 */
void setComments(URL commentsUrl);

/**
 * Test whether this instance has comments.
 */
boolean hasComments();

/**
 * Get an ID that uniquely identifies the item.
 */
Guid getGuid();

/**
 * Set an ID that uniquely identifies the item.
 */
void setGuid(Guid guid);

/**
 * Test whether this instance has a guid.
 */
boolean hasGuid();

/**
 * Get the date, when the item was published.
 */
Date getPubDate();

/**
 * Set the date, when the item was published.
 */
void setPubDate(Date pubDate);

/**
 * Test whether this instance has a publication date..
 */
boolean hasPubDate();
}
