package org.jaggregator.rss.rss_2_00;

import java.net.URL;
import java.util.Collection;
import java.util.Date;
import java.util.LinkedList;
import org.apache.commons.beanutils.ConvertUtils;
import org.apache.commons.digester.Digester;
import org.apache.commons.digester.RuleSet;
import org.jaggregator.rss.ConverterSet;
import org.jaggregator.rss.Version;
import org.jaggregator.rss.common.AbstractParser;
import org.jaggregator.rss.modules.BlogChannelModuleRuleSet_2_00;
import org.jaggregator.rss.modules.ContentModuleRuleSet_2_00;

/**
 * A parser capable of parsing RSS 2.00 documents. It supports
 * the modules <code>blogChannelModule</code> and
 * <code>Content</code>.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.5 $
 */
public class Parser_2_00
  extends AbstractParser
{
public Parser_2_00() 
{
  super(Version.VERSION_2_00);
  
  setup();
}

protected ConverterSet getConverterSet()
{
  return new ConverterSet_2_00();
}

protected Collection getDigesterRuleSetCollection()
{
  LinkedList list = new LinkedList();
  list.add(new RuleSet_2_00());
  list.add(new BlogChannelModuleRuleSet_2_00());
  list.add(new ContentModuleRuleSet_2_00());
  
  return list;
}

protected boolean shouldSupportNamespaces()
{
  return true;
}
}
