package org.jaggregator.util;

import org.apache.xerces.xni.XMLString;
import org.cyberneko.html.filters.Writer;

/**
 * Writer for use with NekoHtml, that prevents the standard writer from
 *  converting certain characters back to entities. We use it, when we process
 * HTML code that contains references (such as &lt;). The standard writer
 * shipped with NekoHtml would convert the above to &amp;&lt;.
 *
 * @author Janek Schwarz <jsz@jaggregator.org>
 * @version $Revision: 1.1 $
 */
public class InMemoryHtmlWriter
  extends Writer
{
public InMemoryHtmlWriter(java.io.Writer w, String encoding)
{
  super(w, encoding);
}

protected void printCharacters(XMLString text, boolean normalize)
{
  if (normalize)
    {
      for (int i = 0; i < text.length; i++)
        {
          char c = text.ch[text.offset + i];
          if (c != '\n')
            {
              fPrinter.print(c);
            }
            else
              {
                fPrinter.println();
              }
        }
    }
    else
      {
        for (int i = 0; i < text.length; i++)
          {
            char c = text.ch[text.offset + i];
            fPrinter.print(c);
          }
      }
      fPrinter.flush();
}
}

