package org.jaggregator.util;

import org.apache.commons.collections.Predicate;

/**
 * Filter that removes insecure HTML fragments (such as javascripts) from the
 *  code.
 *
 * @author Janek Schwarz <jsz@jaggregator.org>
 * @version $Revision: 1.1 $
 */
public class SecureHtmlFilter
  extends ElementRemover
{
public SecureHtmlFilter()
{
  stripElement("HTML");
  stripElement("BODY");
  removeElement("SCRIPT");
  removeElement("OBJECT");
  removeElement("META");
  removeElement("EMBED");
  removeElement("FRAMESET");
  removeElement("FRAME");
  removeElement("IFRAME");
  removeElement("LINK");
  removeElement("STYLE");
  removeAttribute("STYLE");
  removeAttribute("onAbort");
  removeAttribute("onBlur");
  removeAttribute("onChange");
  removeAttribute("onClick");
  removeAttribute("onDblClick");
  removeAttribute("onError");
  removeAttribute("onFocus");
  removeAttribute("onKeydown");
  removeAttribute("onKeypress");
  removeAttribute("onKeyup");
  removeAttribute("onLoad");
  removeAttribute("onMousedown");
  removeAttribute("onMousemove");
  removeAttribute("onMouseout");
  removeAttribute("onMouseover");
  removeAttribute("onMouseUp");
  removeAttribute("onReset");
  removeAttribute("onSelect");
  removeAttribute("onSubmit");
  removeAttribute("onUnload");
  removeAttribute(
    "href",
    new Predicate()
    {
      public boolean evaluate(Object in)
      {
        return (((String) in).indexOf("javascript:") >= 0);
      }
    }
  );
}
}

