package org.jaggregator;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import org.xml.sax.InputSource;

public class TestUtils
{
  public static String getBaseDir()
  {
    return System.getProperty("basedir");
  }

  public static File createFile(String fileName)
  {
    return new File(getBaseDir() + File.separator + fileName);
  }
  
  public static InputSource createInputSourceForFile(String systemId)
    throws MalformedURLException
  {
    File file = createFile(systemId);
    return new InputSource(file.toURL().toExternalForm());
  }
  
  public static InputStream createInputStreamForFile(String fileName)
    throws IOException
  {
    return new FileInputStream(getBaseDir() + 
															 File.separator +
                               fileName);
  }
}

