package org.jaggregator.rss.exporter;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import org.custommonkey.xmlunit.DetailedDiff;
import org.custommonkey.xmlunit.Diff;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ChannelExporter;
import org.jaggregator.rss.Parser;
import org.jaggregator.rss.rss_0_91.Channel_0_91;
import org.jaggregator.rss.rss_0_91.Parser_0_91;
import org.jaggregator.util.XMLTestCase;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;

/**
 * Unit Test for class TestExporter_0_91.java
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.8 $
 */
public class TestExporter_0_91
  extends XMLTestCase
{
public TestExporter_0_91 (String name)
{
  super(name);
}

public void testExport()
  throws Exception
{
  Parser parser = new Parser_0_91();
  
  Channel channel = (Channel_0_91) parser.parse(
    createInputSourceForFile(
      "src/test/org/jaggregator/rss/exporter/rss-0.91-exporttest.xml"));

  ByteArrayOutputStream ostream = new ByteArrayOutputStream();
  
  ChannelExporter exporter = new ExporterImpl_0_91(ostream);
  exporter.export(channel);

  Document actualDocument = createDocument(
    new ByteArrayInputStream(ostream.toByteArray()));
  Document expectedDocument = createDocument(
    createInputStreamForFile(
      "src/test/org/jaggregator/rss/exporter/rss-0.91-exporttest.xml"));

  DetailedDiff detailedDiff = new DetailedDiff(new Diff(expectedDocument,
                                                        actualDocument));
  
  assertXMLEqual("", detailedDiff, true);
}
}
