package org.jaggregator.rss.misc;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Category;
import org.jaggregator.TestCase;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.Item;
import org.jaggregator.rss.Parser;
import org.jaggregator.rss.rss_1_00.Parser_1_00;
import org.xml.sax.InputSource;

/**
 * Unit Test for testing how the RSS framework handles weird or faulty RSS
 * data.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class TestWeirdRssData
  extends TestCase 
{
private static final Category log;

static
{
  BasicConfigurator.configure();
  log = Category.getInstance(TestWeirdRssData.class);
}

public TestWeirdRssData(String name)
{
  super(name);
}

public void testParse()
  throws Exception
{
  Parser parser = new Parser_1_00();
  
  Channel channel = parser.parse(
    createInputSourceForFile(
      "src/test/org/jaggregator/rss/misc/" +
      "unquoted-html-in-item-description.xml"));
  
  assertNotNull(channel);

  Item item = (Item) channel.getItems().get(0);
  
  String actualValue = item.getDescription();
  String expectedValue = "After receiving a number of emails detailing a random crashing behavior on Mac OS X, I've traced the problem to a bit of code I stupidly removed right before release of v0.93.1. <p>Open <code>lib/AmphetaDesk.pm</code> and look for:</p>";
  
  assertEquals(expectedValue, actualValue);
}
}
