package org.jaggregator.rss.modules;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.net.URL;
import java.util.Collection;
import javax.xml.parsers.DocumentBuilderFactory;
import junit.framework.Test;
import junit.framework.TestCase;
import org.custommonkey.xmlunit.DetailedDiff;
import org.custommonkey.xmlunit.Diff;
import org.jaggregator.rss.*;
import org.jaggregator.rss.Channel;
import org.jaggregator.rss.ChannelExporter;
import org.jaggregator.rss.Parser;
import org.jaggregator.rss.exporter.ExporterImpl_2_00;
import org.jaggregator.rss.rss_2_00.Channel_2_00;
import org.jaggregator.rss.rss_2_00.Item_2_00;
import org.jaggregator.rss.rss_2_00.Parser_2_00;
import org.jaggregator.util.XMLTestCase;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;

/**
 * Unit Test for class TestContentModuleFragmentExporter
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class TestContentModuleFragmentExporterRss_2_00
  extends XMLTestCase 
{
private Channel_2_00 channel;

public TestContentModuleFragmentExporterRss_2_00(String name)
{
  super(name);
}

protected void setUp()
  throws Exception
{
  Parser parser = new Parser_2_00();
  
  channel = (Channel_2_00) parser.parse(
    createInputSourceForFile(
      "src/test/org/jaggregator/rss/modules/content-encoded.xml"));
}

public void testParse()
{
  assertNotNull(channel);
}

public void testExport()
  throws Exception
{
  Parser parser = new Parser_2_00();
  
  Channel channel = (Channel) parser.parse(
    createInputSourceForFile(
      "src/test/org/jaggregator/rss/modules/content-encoded.xml"));

  ByteArrayOutputStream ostream = new ByteArrayOutputStream();
  
  ChannelExporter exporter = new ExporterImpl_2_00(ostream);
  exporter.export(channel);

  System.err.println(new String(ostream.toByteArray()));
  
  Document actualDocument = createDocument(
    new ByteArrayInputStream(ostream.toByteArray()));
  Document expectedDocument = createDocument(
    createInputStreamForFile(
      "src/test/org/jaggregator/rss/modules/content-encoded.xml"));

  assertXMLEqual(expectedDocument, actualDocument);
}

protected DocumentBuilderFactory createDocumentBuilderFactory()
{
  DocumentBuilderFactory docBuilderFactory = 
    super.createDocumentBuilderFactory();
  
  docBuilderFactory.setNamespaceAware(true);
  
  return docBuilderFactory;
}
}
