package org.jaggregator.rss.modules;


import org.jaggregator.TestCase;
import org.jaggregator.rss.*;
import org.jaggregator.rss.rss_1_00.Channel_1_00;
import org.jaggregator.rss.rss_1_00.Item_1_00;
import org.jaggregator.rss.rss_1_00.Parser_1_00;
import org.xml.sax.InputSource;

/**
 * Unit Test for class ContentModule.
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version
 */
public class TestContentModuleRss_1_00
  extends TestCase
{
private Channel_1_00 channel;
private ContentModuleImpl_1_00 contentModule;

public TestContentModuleRss_1_00(String name)
{
  super(name);
}

protected void setUp()
  throws Exception
{
  Parser parser = new Parser_1_00();
  
  channel = (Channel_1_00) parser.parse(
    createInputSourceForFile(
      "src/test/org/jaggregator/rss/modules/content-encoded_1_00.xml"));

  Item_1_00 item = (Item_1_00) channel.getItems().get(0);
  
  contentModule = 
    (ContentModuleImpl_1_00) item.getModule(
      ContentModule.NAMESPACE);
}

public void testParse()
{
  assertNotNull(channel);
}

public void testInitialized()
{
  boolean actualValue = contentModule.isInitialized();
  boolean expectedValue = true;
  
  assertEquals(expectedValue, actualValue);
}

public void testContentModule()
{
  assertNotNull(contentModule);
}

public void testContent()
  throws Exception
{
  String actualValue = contentModule.getContent();
  String expectedValue = "<a href=\"http://www.aaronsw.com/weblog/000934\">Aaron Swartz</a>: <em>I took live notes on Dave Winer&rsquo;s keynote here at OSCOM.</em>";

  System.err.println("actual:\n" + actualValue);
  System.err.println("expected:\n" + expectedValue);
  
  assertEquals(expectedValue, actualValue);
}
}
