package org.jaggregator.rss.util;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import org.jaggregator.rss.Version;
import org.jaggregator.rss.Parser;

/**
 * Unit Test for class TestParserFactory.java
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.1 $
 */
public class TestParserFactory
  extends TestCase
{
public TestParserFactory (String name)
{
  super(name);
}

public void testVersion_0_91()
  throws Exception
{
  Version version = Version.VERSION_0_91;
  Parser parser = ParserFactory.getInstance().newParser(version);
  
  assertTrue(parser.canParse(version));
}

public void testVersion_0_92()
  throws Exception
{
  Version version = Version.VERSION_0_92;
  Parser parser = ParserFactory.getInstance().newParser(version);
  
  assertTrue(parser.canParse(version));
}

public void testVersion_1_00()
  throws Exception
{
  Version version = Version.VERSION_1_00;
  Parser parser = ParserFactory.getInstance().newParser(version);
  
  assertTrue(parser.canParse(version));
}

public void testVersion_2_00()
  throws Exception
{
  Version version = Version.VERSION_2_00;
  Parser parser = ParserFactory.getInstance().newParser(version);
  
  assertTrue(parser.canParse(version));
}
}
