package org.jaggregator.rss.util;

import java.net.URL;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Unit Test for class TestResponse.java
 *
 * @author <a href="mailto:jsz@jaggregator.org">Janek Schwarz</a>
 * @version $Revision: 1.3 $
 */
public class TestResponse
  extends TestCase
{
private boolean isOnline = true;

public TestResponse (String name)
{
  super(name);
}

protected void setUp()
{
  String onlineModeString = System.getProperty("online.mode");
    
  if(onlineModeString.equalsIgnoreCase("false") ||
     onlineModeString.equalsIgnoreCase("off"))
    isOnline = false;
  else
    isOnline = true;
}

public void testResponse()
  throws Exception
{
  if(isOnline == false)
    return;
  
  ChannelRetriever retriever = 
    ChannelRetriever.getRetriever(
      new URL("http://www.janek.org/rss/rss-example-0.91.xml"));
  Response response = retriever.retrieve();

  assertNotNull(response.getChannel());
  assertNotNull(response.getLastModifiedString());
  assertNotNull(response.getEtagString());
  assertEquals(200, response.getStatusCode());
  assertNotNull(response.getStatusText());
  assertFalse(response.isRetrieveError());
}
}
